package sharedInterfaces;

public interface GuiFacadeInterface
{
    /** Associates with DataServer domain and completes
	initialisation of the Gui. Shows the GUI */
    public void initialise(DataServerFacadeInterface data,
			   AbstractGraphicsFacade graph);
    public void graphPointUpdated(double x, double y, boolean inRange);
    public AbstractGraphicsFacade getSelectedGraph();
    public void setSelectedGraph(AbstractGraphicsFacade newGraph);
}
